<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, inital-scale=1">
		<title>HTML Tables and Forms</title>
	</head>
	<body>
		<div id="header">
			<h2>HTML Entities</h2>
			<p><em>Reserved characters in HTML (e.g &lt; or &gt; characters that can mix up with HTML code).</em></p>
		</div>
		
		<div id="table">
			<!-- defines or creates an HTML table -->
			<table border="1">
				<!-- used to group table header content -->
				<thead>
					<!-- defines a table row -->
					<tr>
						<!-- defines table headings -->
						<th>Entity</th>
						<th>Description</th>
					</tr>
				</thead>
				<!-- used to group table contents -->
				<tbody>
					<tr>
						<!-- defines table data -->
						<td>&lt;</td>
						<td>Less than</td>
					</tr>
					<tr>
						<td>&gt;</td>
						<td>Greater than</td>
					</tr>
					<tr>
						<td>&#8369;</td>
						<td>Peso Sign</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>Ampersand</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>Double Quotation Mark</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>Single Quotation Mark</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>Lower Tilde</td>
					</tr>
					<tr>
						<td>&Ntilde;</td>
						<td>Upper Tilde</td>
					</tr>
				</tbody>
				<tfoot>
					<tr>
						<th colspan="2">List of HTML Entities</th>
					</tr>
				</tfoot>
			</table>
		</div>
		
		<hr/>

		<div id="form">
			<h2>HTML Forms</h2>
			<p><em>Inputs elements that make up a form.</em></p>

			<!-- Creates an HTML form to capture user input -->
			<form action="https://google.com">
				<label for="fullName"> Full Name: </label>
				<input type="text" name="fullName" id="fullName" placeholder="e.g Juan Dela Cruz" required/><br/><br/>

				<label for="birthDate"> Birth Date: </label>
				<input type="date" name="birthDate" id="birthDate" required><br/><br/>

				<label for="age"> Age: </label>
				<input type="number" name="age" id="age" required><br/><br/>

				<label for="gender"> Gender: </label>
				<!-- create a drop down menu -->
				<select name="gender" id="gender">
					<!-- create options for drop down menu -->
					<option value="female">Female</option>
					<option value="male">Male</option>
					<option value="others">Prefer not to say</option>
				</select><br/><br/>

				<label> New user? </label>
				<!-- creates radio button -->
				<input type="radio" name="newUser" id="newUser" value="yes"/>
				<label for="newUser">Yes</label>

				<input type="radio" name="oldUser" id="oldUser" value="no"/>
				<label for="oldUser">No</label><br/><br/>

				<label for="notes">Notes:</label><br/>
				<textarea name="notes" id="notes" rows="5" cols="30"></textarea><br/><br/>

				<label>Role:</label><br/>
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label><br/>

				<input type="checkbox" name="role2" id="role2" value="student">
				<label for="role2">Student</label><br/>

				<input type="checkbox" name="role3" id="role3" value="manager">
				<label for="role3">Manager</label><br/><br/>

				<button type="reset">Reset</button>
				<button type="submit">Submit</button>
			</form>
		</div>
		
	</body>
</html>